Bug 1125949 - [abrt] claws-mail: g_hash_table_lookup_node(): claws-mail killed by SIGSEGV
Summary: [abrt] claws-mail: g_hash_table_lookup_node(): claws-mail killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: claws-mail
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ed9704d00329f9becdea767b92d...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 12:06 UTC by Anders Wegge Keller
Modified: 2015-06-29 21:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:53:38 UTC


Attachments (Terms of Use)
File: backtrace (71.12 KB, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: core_backtrace (38.73 KB, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: dso_list (21.33 KB, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: environ (1.83 KB, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: maps (117.35 KB, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: open_fds (2.91 KB, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: proc_pid_status (956 bytes, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details
File: var_log_messages (13.94 KB, text/plain)
2014-08-01 12:06 UTC, Anders Wegge Keller
no flags Details

Description Anders Wegge Keller 2014-08-01 12:06:32 UTC
Description of problem:
As far as I know, the steps leading up to this was:

* Read a message in the preview pane.
* Press t (Display header shortcut from Gnus)
* Realize the mistake, and press CTRL-h
=> Fault

Version-Release number of selected component:
claws-mail-3.10.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        claws-mail
crash_function: g_hash_table_lookup_node
executable:     /usr/bin/claws-mail
kernel:         3.15.6-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_hash_table_lookup_node at ghash.c:365
 #1 g_hash_table_lookup at ghash.c:1076
 #2 procmime_mimeinfo_get_parameter at procmime.c:250
 #3 textview_write_body at textview.c:1043
 #4 textview_show_part at textview.c:646
 #5 mimeview_show_message_part at mimeview.c:817
 #10 _gtk_action_emit_activate at gtkaction.c:795
 #11 closure_accel_activate at gtkaction.c:1766
 #16 gtk_accel_group_activate at gtkaccelgroup.c:891
 #17 gtk_accel_groups_activate at gtkaccelgroup.c:928

Potential duplicate: bug 964024

Comment 1 Anders Wegge Keller 2014-08-01 12:06:36 UTC
Created attachment 923271 [details]
File: backtrace

Comment 2 Anders Wegge Keller 2014-08-01 12:06:37 UTC
Created attachment 923272 [details]
File: cgroup

Comment 3 Anders Wegge Keller 2014-08-01 12:06:39 UTC
Created attachment 923273 [details]
File: core_backtrace

Comment 4 Anders Wegge Keller 2014-08-01 12:06:41 UTC
Created attachment 923274 [details]
File: dso_list

Comment 5 Anders Wegge Keller 2014-08-01 12:06:42 UTC
Created attachment 923275 [details]
File: environ

Comment 6 Anders Wegge Keller 2014-08-01 12:06:43 UTC
Created attachment 923276 [details]
File: exploitable

Comment 7 Anders Wegge Keller 2014-08-01 12:06:44 UTC
Created attachment 923277 [details]
File: limits

Comment 8 Anders Wegge Keller 2014-08-01 12:06:46 UTC
Created attachment 923278 [details]
File: maps

Comment 9 Anders Wegge Keller 2014-08-01 12:06:48 UTC
Created attachment 923279 [details]
File: open_fds

Comment 10 Anders Wegge Keller 2014-08-01 12:06:49 UTC
Created attachment 923280 [details]
File: proc_pid_status

Comment 11 Anders Wegge Keller 2014-08-01 12:06:50 UTC
Created attachment 923281 [details]
File: var_log_messages

Comment 12 Michael Schwendt 2014-08-01 19:41:38 UTC
> As far as I know, the steps leading up to this was:

So, is it reproducible with those steps?


The backtrace (Thread 1) mentions:

  /home/awj/.claws-mail/imapcache/imap.jernurt.dk/wegge@wegge.dk/Likely-Spam/6545

It may be specific to that message.

Comment 13 Anders Wegge Keller 2014-08-01 21:17:13 UTC
No, it cannot be reproduced, neither with the mail, nor with the folder.

I've had claws running for quite some time, when it crashed. I think it's more likely to have been caused by a random combination of events until then. I'm sorry that I cannot share the coredump, but it contains sensitive information. I'll take a look at it myself, and comment, if I get any closer.

Comment 14 Fedora End Of Life 2015-05-29 12:32:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-06-29 21:53:38 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.